How to install Geronimo Eclipse Plugin v2.1.4 has been created by Tim McConnell (Apr 06, 2009).

Content:

We will be using Eclipse Ganymede and Sun JDK 6.0+ for the illustration. Geronimo Eclipse Plugin (GEP) can be installed using the following options

This page describes how to install the current release of the GEP. For information about installing previous releases, see this page.

Prerequisites

Installing GEP within WTP

  1. Once you have all the Prerequisites installed, launch Eclipse from <Eclipse_Home>/eclipse.
  2. By default Eclipse will be launched with Java EE perspective.
  3. Select the servers tab as shown in the figure and select New->Server.


    Unable to render embedded object: File (figure1.png) not found.


  4. On the next screen select Download Additional Server Adapters as shown in the figure.


    Unable to render embedded object: File (figure2.png) not found.


  5. Select Geronimo V2.1 Server Adapter v2.1.4 adapter and select Next.


    Unable to render embedded object: File (figure3.png) not found.


  6. Accept the license agreement and select Finish.


    Unable to render embedded object: File (figure4.png) not found.


  7. Next screen will ask for confirmation. Select Ok. Once done Geronimo V2.1 server adapter will be downloaded and installed.


    Unable to render embedded object: File (figure5.png) not found.


  8. Once the adapter is installed you will be prompted to restart the server. Select Yes.


    Unable to render embedded object: File (figure6.png) not found.


Installing GEP using Eclipse update manager

  1. Once you have all the prerequisites installed. Launch Eclipse from <Eclipse_Home>/eclipse.
  2. By default Eclipse will be launched with Java EE perspective.
  3. Select Help->Software Updates.. from the menu.


    Unable to render embedded object: File (figure7.png) not found.


  4. On the next screen select Available Software tab. Select Add Site.
    Unable to render embedded object: File (figure8.png) not found.


  5. Copy and paste the following site to Add Site window and Select Ok.


    http://apache.org/dist/geronimo/eclipse/updates/

    Unable to render embedded object: File (figure9.png) not found.


  6. Expand http://apache.org/dist/geronimo/eclipse/updates/ and Select Geronimo v2.1 Server Adapter v2.1.4.


    Unable to render embedded object: File (figure10.png) not found.


  7. Once done you have to wait a few seconds while Eclipse resolves dependencies.


    Unable to render embedded object: File (figure11.png) not found.


  8. Once done Install window will pop up. Select Next.


    Unable to render embedded object: File (figure12.png) not found.


  9. Accept the license and Select Finish.


    Unable to render embedded object: File (figure13.png) not found.


  10. Installation will start and will take time few minutes. A progress window will display the jars being installed.


    Unable to render embedded object: File (figure14.png) not found.


  11. Once GEP is installed you will be prompted to restart. Select yes.
    Unable to render embedded object: File (figure15.png) not found.

Manual Installation

Using deployable.zip

  1. Download the package geronimo-eclipse-plugin-2.1.4-deployable.zip from http://archive.eu.apache.org/dist/geronimo/eclipse/2.1.4/.
  2. Once done unzip the package to your eclipse installation directory. For Ganymede, unzip to the eclipse/dropins directory. You may get a prompt regarding file replacement. Select All. Restart eclipse with the -clean option.
  3. This will install GEP.

Verify GEP installation

  1. Select Help->About Eclipse Platform.


    Unable to render embedded object: File (figure16.png) not found.


  2. You can see a G icon in the About Eclipse Platform. This confirms the successful installation of GEP. Click the icon.


    Unable to render embedded object: File (figure17.png) not found.


  3. On the next screen you can view details- License, Plug-in-Details and set the Columns of the table being displayed.


    Unable to render embedded object: File (figure18.png) not found.

Powered by Atlassian Confluence (Version: 2.2.9 Build:#527 Sep 07, 2006) - Bug/feature request

Unsubscribe or edit your notifications preferences